Compatibilidad de Telerik DevCraft UI

Compatibilidad

Sistema operativo
  • Windows Server 2016
  • Windows 10
  • Windows 8.1
  • Windows 8
  • Windows Server 2012
  • Windows 7
  • Windows Server 2008
  • Windows Vista
  • Windows Server 2003
  • Windows XP
  • Windows 2000
  • Windows Phone 8+
  • OS X Yosemite +
  • iOS 8+
  • Android 4.0.3+
Tipo de producto
  • Componente
Tipo de componente
  • Controles ASP.NET AJAX
  • Controles ASP.NET MVC
  • Asamblea central ASP.NET
  • Componentes Blazor
  • Xamarin.Forms
  • Xamarin.Android
  • Xamarin.iOS
  • Controles WPF
  • Controles .NET WinForm
  • Controles de Silverlight
  • Controles UWP
  • Elementos web de SharePoint
  • JavaScript
  • Angular
  • AngularJS
  • jQuery
  • Reaccionar
  • Vue.js
  • Wrappers de servidores PHP *
  • Contenedores de servidor JSP *
Contenedores compatibles
  • Microsoft Visual Studio 2019
  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2015
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2010
  • Microsoft Visual Basic 2019
  • Microsoft Visual Basic 2017
  • Microsoft Visual Basic 2015
  • Microsoft Visual Basic 2013
  • Microsoft Visual Basic 2012
  • Microsoft Visual Basic 2010
  • Microsoft Visual C++ 2019
  • Microsoft Visual C ++ 2017
  • Microsoft Visual C++ 2015
  • Microsoft Visual C++ 2013
  • Microsoft Visual C++ 2012
  • Microsoft Visual C++ 2010
  • Microsoft Visual C# 2019
  • Microsoft Visual C # 2017
  • Microsoft Visual C# 2015
  • Microsoft Visual C# 2013
  • Microsoft Visual C# 2012
  • Microsoft Visual C# 2010
  • Microsoft .NET Framework 4.7
  • Microsoft .NET Framework 4.6
  • Microsoft .NET Framework 4.5
  • Microsoft .NET Framework 4.0
  • Microsoft .NET Framework 3.5
  • Microsoft .NET Core 3.0
  • Microsoft .NET Core 2.0
  • Microsoft SharePoint 2013
  • Microsoft SharePoint 2010
  • Microsoft Internet Information Server 10.x
  • Microsoft Internet Information Server 8.x
  • Microsoft Internet Information Server 7.x
  • Microsoft Internet Information Server 6.x
  • Microsoft Internet Information Server 5.x
  • Microsoft Internet Explorer 9.0+
  • Microsoft Silverlight 5
  • Microsoft Edge
  • Mozilla Firefox
  • Google Chrome
  • Ópera
  • Safari 9.1+
  • Xamarin Studio
  • XCode 7.1 +
  • Kit de desarrollo de Java (JDK)
  • SDK de Android
  • Complemento de Eclipse y ADT
  • Estudio Android

* Requiere la opción JSP + PHP.

Requisitos previos

For system requirements for all Progress Telerik products please refer to the individual product documentation which can be found at www.telerik.com/documentation.

Blazor is still an experimental technology, so you need to ensure you can run its vanilla version first. To do that, follow the MSDN tutorial and make sure that you can run the basic sample Blazor application: https://docs.microsoft.com/en-us/aspnet/core/client-side/spa/blazor/get-.... You may need to install the Blazor VS Extensions in order to get the neccessary app templates.

Make sure that you have the latest bits installed (ASP.NET Core 3.0 and Visual Studo 2019 Preview channel are required).